Name:           python-tilestache
Version:        1.49.11
Release:        2%{?dist}
Summary:        A stylish alternative for caching your map tiles

Group:          Applications/Databases
License:        BSD
URL:            http://tilestache.org
Source0:        https://pypi.python.org/packages/source/T/TileStache/TileStache-%{version}.tar.gz
# Modify font search to find the system DejaVuSansMono.ttf - Not submitted upstream
Patch0:         python-tilestache-1.49.11-use-system-fonts.patch
# Don't install the bundled font or docs - Not submitted upstream
Patch1:         python-tilestache-1.49.11-unbundle-installs.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       font(dejavusansmono)
Requires:       python-imaging
Requires:       python-modestmaps
Requires:       python-simplejson
Requires:       python-werkzeug

%description
TileStache is a Python-based server application that can serve up map tiles
based on rendered geographic data. You might be familiar with TileCache, the
venerable open source WMS server from MetaCarta. TileStache is similar, but we
hope simpler and better-suited to the needs of designers and cartographers.

%prep
%setup -qn TileStache-%{version}
%patch0 -p1
%patch1 -p1

# Remove shebang from a script
sed -i '1{\@^#!/usr/bin/env python@d}' TileStache/Goodies/Caches/GoogleCloud.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc doc/*
%{_bindir}/tilestache-*.py
%{python2_sitelib}/TileStache
%{python2_sitelib}/TileStache-%{version}-py?.?.egg-info

%changelog
* Sun Nov 30 2014 Scott K Logan <logans@cottsay.net> - 1.49.11-2
- Spec clean-ups for Package Review

* Sun Sep 28 2014 Scott K Logan <logans@cottsay.net> - 1.49.11-1
- Initial package
